Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required

GetInterdependentL3NetworksImages

GetInterdependentL3NetworksImages

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • zoneUuidStringRequired

    The zone UUID. This parameter is required to specify the dependency between the L3 network and image.

  • l3NetworkUuidsList

    Optional. The L3 network UUID list.

  • imageUuidString

    Optional. The image UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoriesListRequired

    If the input parameter is l3NetworkUuids, a list of images that can work with these L3 networks is returned. If the input parameter is imageUuid, a list of L3 networks that can work with the image is returned.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/images-l3networks/dependencies

/zstack/v1/images-l3networks/dependencies

Operation ID

GetInterdependentL3NetworksImages

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/images-l3networks/dependencies?zoneUuid=<zoneUuid>&l3NetworkUuids=<l3NetworkUuids>&imageUuid=<imageUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "e177bad0286f4ee38ac29f0ad0e772e6", "name": "private L3", "type": "L3BasicNetwork", "zoneUuid": "0f8c102ff69a43b0afa89c2833ed42bc", "l2NetworkUuid": "c110e7bdffce47578351477ec0728685", "state": "Enabled", "createDate": "May 11, 2017 1:22:45 PM", "lastOpDate": "May 11, 2017 1:22:45 PM", "ipRanges": [ { "uuid": "703becbb056f426b8fe5997648fd7607", "l3NetworkUuid": "e177bad0286f4ee38ac29f0ad0e772e6", "name": "ip range", "startIp": "192.168.0.10", "endIp": "192.168.0.100", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "createDate": "May 11, 2017 1:22:45 PM", "lastOpDate": "May 11, 2017 1:22:45 PM" } ], "networkServices": [ { "l3NetworkUuid": "e177bad0286f4ee38ac29f0ad0e772e6", "networkServiceProviderUuid": "294f4a419cc44d51b1fcbf7352fe6c0d", "networkServiceType": "DHCP" }, { "l3NetworkUuid": "e177bad0286f4ee38ac29f0ad0e772e6", "networkServiceProviderUuid": "294f4a419cc44d51b1fcbf7352fe6c0d", "networkServiceType": "DNS" }, { "l3NetworkUuid": "e177bad0286f4ee38ac29f0ad0e772e6", "networkServiceProviderUuid": "294f4a419cc44d51b1fcbf7352fe6c0d", "networkServiceType": "SNAT" } ] } ] }

Change History

This API has no change history records yet.

View all change history